<div
  class="job-container clickable"
  [appCopyToClipboard]="job"
  [matTooltip]="job | jobToString"
  [ngClass]="{'single-selected-option': selected, 'four-columns': multiRoiMode, 'three-columns': !multiRoiMode}"
  (click)="jobSelected.emit({id: job.id, checked: true})">
  <mat-radio-button
    class="job-item"
    color="primary"
    [checked]="selected"
    [value]="job.id">
  </mat-radio-button>
  <b
    class="job-item text-clamp">
    {{job.created_at | dateCorrection | date: 'medium'}}
  </b>
  <ng-container *ngIf="multiRoiMode">
    <button
      *ngIf="collectionsLoaded"
      mat-icon-button
      color="primary"
      class="job-item"
      [ngClass]="{'hidden-element': job.status !== JOB_STATUS.Assembly}"
      matTooltip="Start job"
      [disabled]="job.status !== JOB_STATUS.Assembly"
      [matTooltipDisabled]="job.status !== JOB_STATUS.Assembly"
      (click)="startJob.emit(job.id); $event.stopPropagation()">
      <mat-icon>play_circle</mat-icon>
    </button>
    <div
      *ngIf="!collectionsLoaded"
      class="job-item">
      <mat-spinner
        *ngIf="selected
        && (
          job.status === JOB_STATUS.Ready
          || job.status === JOB_STATUS.Scheduled
          || job.status === JOB_STATUS.Running
        )"
        diameter="24"
        matTooltip="Annotation will be added. Please wait."
        matToolTipPosition="below">
      </mat-spinner>
    </div>
  </ng-container>
  <ng-container *ngIf="job.status === JOB_STATUS.Assembly; else checkJobStatus">
    <button
      mat-icon-button
      color="primary"
      class="job-item"
      matTooltip="Delete Job"
      (click)="deleteJob.emit(job.id); $event.stopPropagation()">
      <mat-icon>delete</mat-icon>
    </button>
  </ng-container>
  <ng-template #checkJobStatus>
    <app-job-status
      class="job-item"
      [jobStatus]="job.status"
      [jobInputStatus]="job.input_validation_status"
      [jobOutputStatus]="job.output_validation_status"
      (loadingSpinnerClicked)="stopRunningJob.emit(job.id)">
    </app-job-status>
  </ng-template>
</div>
